Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkFollower Class Reference

`#include <vtkFollower.h>`

Inheritance diagram for vtkFollower:

[legend]
Collaboration diagram for vtkFollower:

[legend]
List of all members.

## Detailed Description

a subclass of actor that always faces the camera

Date:
  2002/08/28 16:27:36

Revision:
  1.51

vtkFollower is a subclass of vtkActor that always follows its specified camera. More specifically it will not change its position or scale, but it will continually update its orientation so that it is right side up and facing the camera. This is typically used for text labels in a scene. All of the adjustments that can be made to an actor also will take effect with a follower. So, if you change the orientation of the follower by 90 degrees, then it will follow the camera, but be off by 90 degrees.

See also:
  vtkActor vtkCamera

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (75%)
  - Schroeder, Will (6%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkFollower.h)`
  - .`cxx` (`/Rendering/vtkFollower.cxx)`

Examples:
  vtkFollower (Examples)

Tests:
  vtkFollower (Tests)

Definition at line 59 of file vtkFollower.h.

## Public Types
typedef vtkActor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ShallowCopy (vtkProp *prop)
virtual void | SetCamera (vtkCamera *)
virtual vtkCamera * | GetCamera ()
virtual int | RenderOpaqueGeometry (vtkViewport *viewport)
virtual int | RenderTranslucentGeometry (vtkViewport *viewport)
virtual void | Render (vtkRenderer *ren)
virtual void | GetMatrix (vtkMatrix4x4 *m)
virtual void | GetMatrix (double m[16])
virtual vtkMatrix4x4 * | GetMatrix ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkFollower * | SafeDownCast (vtkObject *o)
vtkFollower * | New ()
## Protected Methods
| vtkFollower ()
| ~vtkFollower ()
## Protected Attributes
vtkCamera * | Camera
vtkActor * | Device

## Member Typedef Documentation

typedef vtkActor vtkFollower::Superclass

| Reimplemented from vtkActor. Definition at line 62 of file vtkFollower.h.

## Constructor & Destructor Documentation

vtkFollower::vtkFollower | ( |  | ) | `[protected]`

vtkFollower::~vtkFollower | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkFollower::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkActor.

int vtkFollower::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor.

virtual int vtkFollower::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor.

vtkFollower* vtkFollower::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkActor.

void vtkFollower::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkActor.

vtkFollower* vtkFollower::New | ( |  | ) | `[static]`

| Creates a follower with no camera set Reimplemented from vtkActor.

virtual void vtkFollower::SetCamera | ( | vtkCamera * |  | ) | `[virtual]`

| Set/Get the camera to follow. If this is not set, then the follower won't know who to follow.

virtual vtkCamera* vtkFollower::GetCamera | ( |  | ) | `[virtual]`

| Set/Get the camera to follow. If this is not set, then the follower won't know who to follow.

virtual int vtkFollower::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| This causes the actor to be rendered. It in turn will render the actor's property, texture map and then mapper. If a property hasn't been assigned, then the actor will create one automatically. Reimplemented from vtkActor.

virtual int vtkFollower::RenderTranslucentGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| This causes the actor to be rendered. It in turn will render the actor's property, texture map and then mapper. If a property hasn't been assigned, then the actor will create one automatically. Reimplemented from vtkActor.

virtual void vtkFollower::Render | ( | vtkRenderer * | ren | ) | `[virtual]`

| This causes the actor to be rendered. It in turn will render the actor's property, texture map and then mapper. If a property hasn't been assigned, then the actor will create one automatically.

virtual void vtkFollower::GetMatrix | ( | vtkMatrix4x4 * | m | ) | `[virtual]`

| Copy the follower's composite 4x4 matrix into the matrix provided. Reimplemented from vtkProp3D.

virtual void vtkFollower::GetMatrix | ( | double | m[16] | ) | `[virtual]`

| Copy the follower's composite 4x4 matrix into the matrix provided. Reimplemented from vtkProp3D.

virtual vtkMatrix4x4* vtkFollower::GetMatrix | ( |  | ) | `[inline, virtual]`

| Copy the follower's composite 4x4 matrix into the matrix provided. Reimplemented from vtkProp3D. Definition at line 88 of file vtkFollower.h. References vtkProp3D::GetMatrix().

void vtkFollower::ShallowCopy | ( | vtkProp * | prop | ) | `[virtual]`

| Shallow copy of a follower. Overloads the virtual vtkProp method. Reimplemented from vtkActor.

## Member Data Documentation

vtkCamera* vtkFollower::Camera`[protected]`

| Definition at line 99 of file vtkFollower.h.

vtkActor* vtkFollower::Device`[protected]`

| Definition at line 100 of file vtkFollower.h.

The documentation for this class was generated from the following file:

- Rendering/vtkFollower.h